> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiinbx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get email by ID

> Retrieve a specific email by its ID using API key authentication



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/ai-inbx/openapi.documented.yml get /emails/{emailId}
openapi: 3.1.0
info:
  title: AI Inbx API
  description: Email infrastructure API for AI agents and applications
  version: 1.0.0
servers:
  - url: https://api.aiinbx.com/api/v1
security: []
tags:
  - name: Emails
  - name: Threads
paths:
  /emails/{emailId}:
    get:
      tags:
        - Emails
      summary: Get email by ID
      description: Retrieve a specific email by its ID using API key authentication
      operationId: getEmail
      parameters:
        - in: path
          name: emailId
          description: The unique identifier of the email
          schema:
            type: string
            description: The unique identifier of the email
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  createdAt:
                    type: string
                  messageId:
                    type: string
                  inReplyToId:
                    type: string
                    nullable: true
                  references:
                    type: array
                    items:
                      type: string
                  subject:
                    type: string
                    nullable: true
                  text:
                    type: string
                    nullable: true
                  html:
                    type: string
                    nullable: true
                  strippedText:
                    type: string
                    nullable: true
                  strippedHtml:
                    type: string
                    nullable: true
                  snippet:
                    type: string
                    nullable: true
                  fromName:
                    type: string
                    nullable: true
                  fromAddress:
                    type: string
                  toAddresses:
                    type: array
                    items:
                      type: string
                  ccAddresses:
                    type: array
                    items:
                      type: string
                  bccAddresses:
                    type: array
                    items:
                      type: string
                  replyToAddresses:
                    type: array
                    items:
                      type: string
                  sentAt:
                    type: string
                    nullable: true
                  receivedAt:
                    type: string
                    nullable: true
                  direction:
                    type: string
                    enum:
                      - INBOUND
                      - OUTBOUND
                  status:
                    type: string
                    enum:
                      - DRAFT
                      - QUEUED
                      - ACCEPTED
                      - SENT
                      - RECEIVED
                      - FAILED
                      - BOUNCED
                      - COMPLAINED
                      - REJECTED
                      - READ
                      - ARCHIVED
                  threadId:
                    type: string
                  attachments:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: string
                        fileName:
                          type: string
                        contentType:
                          type: string
                        sizeInBytes:
                          type: number
                        cid:
                          type: string
                          nullable: true
                        disposition:
                          type: string
                          nullable: true
                        signedUrl:
                          type: string
                        expiresAt:
                          type: string
                      required:
                        - id
                        - createdAt
                        - fileName
                        - contentType
                        - sizeInBytes
                        - cid
                        - disposition
                        - signedUrl
                        - expiresAt
                required:
                  - id
                  - createdAt
                  - messageId
                  - inReplyToId
                  - references
                  - subject
                  - text
                  - html
                  - strippedText
                  - strippedHtml
                  - snippet
                  - fromName
                  - fromAddress
                  - toAddresses
                  - ccAddresses
                  - bccAddresses
                  - replyToAddresses
                  - sentAt
                  - receivedAt
                  - direction
                  - status
                  - threadId
                  - attachments
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import AIInbx from 'aiinbx';

            const client = new AIInbx({
              apiKey: process.env['AI_INBX_API_KEY'], // This is the default and can be omitted
            });

            const email = await client.emails.retrieve('emailId');

            console.log(email.id);
        - lang: Python
          source: |-
            import os
            from aiinbx import AIInbx

            client = AIInbx(
                api_key=os.environ.get("AI_INBX_API_KEY"),  # This is the default and can be omitted
            )
            email = client.emails.retrieve(
                "emailId",
            )
            print(email.id)
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API Key authentication using Bearer token

````